\section{OLD SECTION DROPPED FROM YR4}

\newcommand{\nnlops}{{\sc Powheg Nnlops}}
\newcommand{\pt}{\ensuremath{p_\mathrm{T}}}
%For the LHC Run 1 Higgs boson measurments, both ATLAS and CMS used \powheg{} $gg\to H$ MC normalized to GdF YR3 NNLO+NNLL inclusive cross section as the nominal prediction for gluon-fusion.
%In order to reach agreement with the differential shapes of state-of-the-art predictions, a reweighting was performed based on the Higgs boson transverse momentum $p_{T,H}$ and the (hadron-level) jet multiplicity.
%It was verifyed that after the reweighing, $p_{T,H}$ agreed within uncertainty with \textsc{HRes 2.3},
%$p_{T,H}$ for events with two or more jets agreed with the prediction of \powheg{} HJJ MiNLO, and the

%the gluon fusion Higgs boson \pt{} spectrum agreed with

In Run~1, ATLAS and CMS used the Stewart-Tackmann method to correlate the QCD uncertainties between jet bins and also between regions defined based on cuts on the Higgs boson transverse momentum.
A difficult question was how to correlate the QCD scale uncertainties
when simultaneously using predictions different kinematic regions such as defined by jet bins, selection on the Higgs boson \pt{} or VBF topology. This section investigates methods around this issue, building in particular on the discussions in Sec.~\ref{subsec:binuncertainties} and Sec.~\ref{subsec:stwz_blptw}, with focus on practical application of the uncertainty propagation to predictions from MC samples typically used in experimental analyses.

Several modern generators have the ability to store event weights corresponding to variations of the parameters used in the generation, such as choices of QCD scale and PDF set and quark mass treatment.
One of these generators is \nnlops{}~\cite{Hamilton:2013fea}, which
both the ATLAS and CMS experiments are actively investigating to use as the nominal prediction for inclusive gluon-fusion for LHC Run~2 Higgs analyses. \nnlops{} uses the Powheg and MiNLO methods combined with a reweighing using input from the {\sc Hnnlo} program to reach NNLO accuracy in the strong coupling.
The NNLO reweighing has a big impact at low \pt{}, while {\sc Powheg HJ} takes over at higher \pt{}.
Separate event weights corresponding to the QCD scale choices of the {\sc Hnnlo} input and for {\sc Powheg} are availalbe, and their impact in bins of the Higgs boson transverse momentum is shown in Fig.~\ref{fig:NNLOPS_pTH}.
The NNLO scale choice affects the normalization (and primarily the low-\pt{} region), while the {\sc Powheg HJ} scale primarily affect the shape, i.e. the migration between low-and-high \pt{}, and only has a very small impact on the normalization. By considering the largest {\sc Hnnlo} scale variation and the largest {\sc Powheg} variation as uncorrelated uncertainities, we get "yield" and "migration" components similar to the ST and JVE methods. These uncertainty variations naturally apply to the events since they are assigned as part of the generation process.

\begin{figure}[htb]
\begin{center}
\includegraphics[width=0.42\textwidth]{figs/WG1_MCunc_QCDscale}
\includegraphics[width=0.42\textwidth]{figs/WG1_MCunc_NNLOPS_pTH}
\end{center}
\vspace*{-0.3cm}
\caption{Left: Relative impact on the gluon fusion cross section as a function of Higgs boson \pt{} from varying the QCD scales for {\sc Hnnlo} and {\sc Powheg}. The {\sc Hnnlo} scale is kept at the nominal value when varying the {\sc Powheg} scale and vice-versa. The {\sc Hnnlo} scale variation that affects the normalization the most is $\mu_R = \mu_F = \mH$, which is displayed as a bold (blue) line, and the {\sc Powheg} scale variation that introduce the larges migration between the 0-jet and $\geq1$ jet regions is shown as a bold, hashed line. Right: The highlighted QCD scale variations are shown together with the impact from changing the quark mass treatment as well as $\alpha_S$ in the PDF used (\texttt{PDF4LHC15\_nnlo\_30\_pdfas}).
}
\label{fig:NNLOPS_pTH}
\end{figure}

Fig.~\ref{fig:NNLOPS_pTj1_yH} shows the impact from applying the event weights corresponding to parameter variations of \nnlops{} for the spectra of the leading jet \pt{} and the Higgs boson rapidity.

\begin{figure}[htb]
\begin{center}
\includegraphics[width=0.42\textwidth]{figs/WG1_MCunc_NNLOPS_pT_j1}
\includegraphics[width=0.42\textwidth]{figs/WG1_MCunc_NNLOPS_yH}
\end{center}
\vspace*{-0.3cm}
\caption{
  Impact on the leading jet and Higgs boson rapidity spectra from applying event weights of \nnlops{} gluon fusion MC events corresponding to various generator parameters.
}
\label{fig:NNLOPS_pTj1_yH}
\end{figure}


\subsection{Jet bin uncertainties}
Discuss the use of NNLOPS scale variation as jet bin uncertainties.
NNLOPS does not have valid uncertainties in the $\geq 2$ jets regions, here simply taking these uncertainties from BLPTW, propagating them though the events.


\begin{figure}[tb]
\begin{center}
\includegraphics[width=0.42\textwidth]{figs/NNLOPS_BLPTW_jetbin_absUnc}
\includegraphics[width=0.42\textwidth]{figs/NNLOPS_jetbin_absUnc}
\includegraphics[width=0.42\textwidth]{figs/NNLOPS_BLPTW_jetbin_relUnc}
\includegraphics[width=0.42\textwidth]{figs/NNLOPS_jetbin_relUnc}
\end{center}
\vspace*{-0.3cm}
\caption{
Jet-bin uncertainties for $p_{T,\mathrm{jet}}>30$~GeV from Table~\ref{tab:BLPTW12jet} (left) corresponding to one standard deviation variations of nuisance parameters (see Eq.~\ref{eq:01nuisance}) and the corresponding uncertainties from \nnlops{} (right) obtained from the MC event weights as described in the text. The \texttt{cut12} uncertainty in the right plots is taken from Table~\ref{tab:BLPTW12jet} as \nnlops{} does not have a valid QCD uncertainty for the second jet. The upper plots show absolute uncertainty while the lower plots show the same uncertainty expressed in relative terms.
}
\label{fig:NNLOPS_jetbin_uncert}
\end{figure}


The C++ code below shows how the BLPTW uncertainties were propagated to the NNLOPS events, and hence can be propagated to any phase space, such as bins of a kinematic observable.
This follows the nuisance parameter approach described in Sec.~\ref{subsec:binuncertainties}, with input from Table~\ref{tab:BLPTW12jet}.

\begin{verbatim}
// enum for QCD scale uncertainty source
enum ggF_qcdUncSource { yield=1, res=2, cut01=3, cut12=4 };

// Event weight for propagation of QCD scale uncertainty
// Three arguments: uncertainty source
// Number of truth (particle) jets with pT>30 GeV, built excluding the Higgs decay
// Number of sigma variation (+1 for "up", -1 for "down")
double getJetBinUncertaintyWeight(ggF_qcdUncSource source, double Njets30, double Nsig=+1.0) {

  // Cross sections in the =0, =1, and >=2 jets of Powheg NNLOS, scaled to sigma(N3LO)
  // need to match input sample + be in agreement with the BLPTW prediction
  static vector<double> sigNNLOPS({30.24,12.93,5.4});

  // BLPTW absolute uncertainties in pb
  static vector<double> yieldUnc({ 1.12, 0.66, 0.42});
  static vector<double> resUnc  ({ 0.03, 0.57, 0.42});
  static vector<double> cut01Unc({-1.22, 1.00, 0.21});
  static vector<double> cut12Unc({    0,-0.86, 0.86});

  int jetBin = (Njets30>1?2:Njets30);
  if ( source == yield ) return 1.0 + Nsig*yieldUnc[jetBin]/sigNNLOPS[jetBin];
  if ( source == res   ) return 1.0 + Nsig*resUnc[jetBin]/sigNNLOPS[jetBin];
  if ( source == cut01 ) return 1.0 + Nsig*cut01Unc[jetBin]/sigNNLOPS[jetBin];
  return 1.0 + Nsig*cut12Unc[jetBin]/sigNNLOPS[jetBin];
}

\end{verbatim}
%BLPTW, uncertainty in jet bins
%sigma      mu     res   cut01   cut12  totUnc
%=0 jets     29.51   1.121   0.030  -1.216   0.000    1.65
%=1 jet      11.94   0.657   0.573   1.002  -0.862    1.58
%>=2 jets     5.96   0.423   0.364   0.214   0.862    1.05
%------------------------------------------------------------
%sum        47.41    2.20    0.97   -0.00   -0.00    2.40

%Powheg NNLOPS w. k-factor, uncertainty in jet bins
%sigma    NNLO  Powheg  totUnc
%=0 jets     30.24   3.127  -1.494    3.47
%=1 jet      12.93   0.949   0.807    1.25
%>=2 jets      5.40   0.287   0.601    0.67
%------------------------------------------------------------
%sum        48.58    4.36   -0.09    4.36

\begin{figure}[tb]
\begin{center}
\includegraphics[width=0.42\textwidth]{figs/WG1_MCunc_NNLOPS_BLPTWpTH}
\includegraphics[width=0.42\textwidth]{figs/WG1_MCunc_NNLOPS_BLPTWuncpTH}
\includegraphics[width=0.42\textwidth]{figs/WG1_MCunc_NNLOPS_BLPTWm_jj}
\includegraphics[width=0.42\textwidth]{figs/WG1_MCunc_NNLOPS_BLPTWuncm_jj}
\end{center}
\vspace*{-0.3cm}
\caption{
Propagation of uncertainties to \nnlops{} MC events for two variables.
  The left plot use \nnlops{} uncertainties except for QCD $1\to2$ jets.
  The right plot use all QCD uncertainties from BLPTW, and propagate them based on the number of truth particle jets in each MC event (see the C++ code snippet in the text).
}
\label{fig:uncert_propagation}
\end{figure}


